Subject: [Emailcore] Agenda for Tuesday

From: John C Klensin <[email-masked]>
Date: Mon, 16 Nov 2020 02:01:37 -0500

Hi.

Since the WG was chartered, there has, AFAICT, zero substantive
discussion on the mailing list of anything that would impact
5321bis or 5322bis.  There was a lengthy discussion last month
about repeated use of EHLO but, if there was consensus on
anything other than "maybe for the A/S", I wasn't able to
discuss it.  

More important, and again AFAICT, there has been zero discussion
of any of the six topics listed on the agenda.

Assuming we still believe in the principle that work gets done
on the mailing list, why are we meeting tomorrow?

And, if we don't believe in that principle but are, indeed,
going to work through issues in meetings, I count 29 identified
issues in 5321bis alone.  At six issues per IETF (which may be
optimistic as we get to the harder issues) plus some time to
refine and nit-pick drafts and start building the A/S, this WG
takes about two years.   I also note that there has been no
announcement of an editor for the A/S.

So, either between now and Tuesday on list, or as a first agenda
item for the meeting, I think a brief discussion of whether we
really have the energy to do this work would be in order.  If we
do not, it would be much better to figure it out now than to get
a year out and discover that Pete and I are the only ones who
are really engaged on the documents.  A different version of
that discussion, and probably a more useful one, is what the WG
and co-chairs plan to do to turn things around so that the above
pessimistic picture doesn't come true.

   john

---

From: Michael Peddemors <[email-masked]>
Date: Mon, 16 Nov 2020 08:35:20 -0800

Hi John,

This does bring about an interesting point, that might need to be 
brought up in the IETF as a whole, is that engagement on topics in my 
opinion, has been dropping off in general.

It is possibly time that the IETF consider ways to bring more industry 
people into the conversations that affect everyone.

We do need a new generation of highly engaged people on various topics 
to the IETF discussions.  I don't have any answers to that, but if there 
is someone that can gather engagement statistics over the last 10 years, 
it might be interesting.

Not sure where to cc' that conversation, but I do think it is a trend on 
many of the working group conversations.

	-- Michael --

-- 
"Catch the Magic of Linux..."
------------------------------------------------------------------------
Michael Peddemors, President/CEO LinuxMagic Inc.
Visit us at http://www.linuxmagic.com @linuxmagic
A Wizard IT Company - For More Info http://www.wizard.ca
"LinuxMagic" a Registered TradeMark of Wizard Tower TechnoServices Ltd.
------------------------------------------------------------------------
604-682-0300 Beautiful British Columbia, Canada

This email and any electronic data contained are confidential and intended
solely for the use of the individual or entity to which they are addressed.
Please note that any views or opinions presented in this email are solely
those of the author and are not intended to represent those of the company.

---

From: Steffen Nurpmeso <[email-masked]>
Date: Mon, 16 Nov 2020 18:10:24 +0100

Michael Peddemors wrote in
 <[email-masked]>:
 |This does bring about an interesting point, that might need to be 
 |brought up in the IETF as a whole, is that engagement on topics in my 
 |opinion, has been dropping off in general.
 |
 |It is possibly time that the IETF consider ways to bring more industry 
 |people into the conversations that affect everyone.

Please not even more people from the industry who live on the fee
of their business employers and have to prove performance records,
and have to solve (very) specific (and particular) problems.
It has been a long time since truly substantial RFCs like RFC 1149
have been produced.

 |We do need a new generation of highly engaged people on various topics 
 |to the IETF discussions.  I don't have any answers to that, but if there 
 |is someone that can gather engagement statistics over the last 10 years, 
 |it might be interesting.

Yes, exactly.  The sheer number of RFCs which explicitly talk
about the essence of things ("cost reduction") alone.  It seems to
me that of all the internet i use, almost a hundred percent are
driven by decade (plural) old standards.  (Except for DNS which
unfortunately is forced to HTTP and needs to use resource records
i do not like.)  Looking at the SMTP agenda (i watch only out of
interest) it seems substantial faults have to be corrected!
Sudden new circumstances and prospects which have to addressed
will surely come up at times.  Until then a tremendous amount of
engineered standards will exist and be ready for use.

--steffen
|
|Der Kragenbaer,                The moon bear,
|der holt sich munter           he cheerfully and one by one
|einen nach dem anderen runter  wa.ks himself off
|(By Robert Gernhardt)

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Nov 2020 13:31:20 -0500

--On Monday, November 16, 2020 08:35 -0800 Michael Peddemors
<[email-masked]> wrote:

> Hi John,
> 
> This does bring about an interesting point, that might need to
> be brought up in the IETF as a whole, is that engagement on
> topics in my opinion, has been dropping off in general.
> 
> It is possibly time that the IETF consider ways to bring more
> industry people into the conversations that affect everyone.
> 
> We do need a new generation of highly engaged people on
> various topics to the IETF discussions.  I don't have any
> answers to that, but if there is someone that can gather
> engagement statistics over the last 10 years, it might be
> interesting.
> 
> Not sure where to cc' that conversation, but I do think it is
> a trend on many of the working group conversations.

Michael,

While not as concerned as Steffen is, or perhaps concerned
differently, I share both his concern and yours.  In addition to
all of the things that are special about the IETF, I've seen a
pattern that seems very common across standards bodies (and I've
worked in several and closely observed many more).  The problem
is that, when a technology area that is a candidate for
standardization is still new, organizations tend to send their
front-line designers and developers both to shape the standard
and to learn from similar people in other organizations and with
other perspectives.  Certainly (although they weren't even
talking about standards yet) that was the case in the meetings
and other exchanges about the early development of the ARPANET
and Internet and even in the IETF.  But, as standards and
implementations stabilize, specifications go through an
iteration/ refinement or two, and there is a good deal of
deployment, those same organizations (and often the designers
and implementation leads themselves) conclude that those people
have better ways to spend their time than polishing the relevant
standards to a high gloss.  Instead, they either drop out or
start seeing people who are less critical to the company's
mission and who may be coming with primary goals of observing
and reporting back about what is going on, protecting the design
decisions in the company's product, and otherwise not
contributing in a useful way (unless one counts nit-picking and
attending, or even sponsoring, Fine Lunches and Dinners).
There is often an even worse effect, but I'll skip than in the
interests of time.  

I think we have seen some symptoms of that trend in the IETF
already, so be careful what you wish for.

And, no, I don't know what to do to reverse that trend or even
keep it from getting worse.  I do know that some of those other
standards bodies have controls to mitigate the worst effects
that the IETF refuses to consider, but, again, that is a longer
story.

best,
   john